import { AfterViewInit, ElementRef, EventEmitter, Injector, OnDestroy, OnInit } from '@angular/core';
import { TreeComponent } from 'o-ngx-tree';
import { OFormComponent } from 'ontimize-web-ngx';
import { OTreeComponent } from './o-tree.component';
export declare class OTreeNodeComponent extends OTreeComponent implements OnInit, AfterViewInit, OnDestroy {
    oTree: OTreeComponent;
    parentNode: OTreeNodeComponent;
    static DEFAULT_INPUTS_O_TREE_NODE: string[];
    static DEFAULT_OUTPUTS_O_TREE_NODE: string[];
    onNodeSelected: EventEmitter<any>;
    onNodeExpanded: EventEmitter<any>;
    onNodeCollapsed: EventEmitter<any>;
    onLoadNextLevel: EventEmitter<any>;
    forcedShowRoot: boolean;
    constructor(injector: Injector, elRef: ElementRef, form: OFormComponent, oTree: OTreeComponent, parentNode: OTreeNodeComponent);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    registerChildNode(child: OTreeNodeComponent): void;
    onLanguageChangeCallback(): void;
    readonly treeComponent: TreeComponent;
}
export declare class OTreeNodeComponentModule {
}
